Bug 107602 - [CI][BAT] igt@pm_rpm@module-reload igt_pm-WARNING: Failed to enable audio runtime PM!
Summary: [CI][BAT] igt@pm_rpm@module-reload igt_pm-WARNING: Failed to enable audio run...
Status: CLOSED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-17 09:21 UTC by Tomi Sarvela
Modified: 2018-09-07 15:39 UTC (History)
1 user (show)

See Also:
i915 platform: ALL
i915 features: power/runtime PM


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomi Sarvela 2018-08-17 09:21:56 UTC
IGT test change comes with new warning on igt@pm_rpm@module-reload:

(pm_rpm:4222) igt_pm-WARNING: Failed to enable audio runtime PM! (3)

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4605/fi-kbl-guc/igt@pm_rpm@module-reload.html
Comment 1 Chris Wilson 2018-08-17 09:27:07 UTC
The hope is

commit 38a44003774e35c587c67c8766b35e75dbb993b8 (upstream/master, origin/master, origin/HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Aug 16 18:57:47 2018 +0100

    lib: Poll for snd_hda_intel discovery
    
    Loading the sounds modules is asynchronous with the sysfs device
    hierarchy being instantiated sometime after modprobe returns. As such
    while we are probing for the sound device, poll a few times to
    accommodate the async discovery.
    
    v2: closedir() after use
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Imre Deak <imre.deak@intel.com>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@linux.intel.com>
    Reviewed-by: Imre Deak <imre.deak@intel.com>

or else we need to be even more determined with our polling.
Comment 2 Chris Wilson 2018-09-06 08:19:43 UTC
Timeout increased and warning is now suppressed.

commit 4fea665b29622baf1692e7f949fcfb8ed993fa36
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Aug 31 14:56:48 2018 +0100

    lib/pm: Squelch warning for failing to enable audio powermanagement
Comment 3 Martin Peres 2018-09-07 15:39:54 UTC
(In reply to Chris Wilson from comment #2)
> Timeout increased and warning is now suppressed.
> 
> commit 4fea665b29622baf1692e7f949fcfb8ed993fa36
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Fri Aug 31 14:56:48 2018 +0100
> 
>     lib/pm: Squelch warning for failing to enable audio powermanagement

Thanks, that fixed it!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.